package com.seer.teach.admin.convert;

import com.seer.teach.admin.request.AdminAiModelReq;
import com.seer.teach.admin.response.AdminAiModelResp;
import com.seer.teach.teacher.module.entity.AiModelEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminAiModelConvert {

    AdminAiModelConvert INSTANCE = Mappers.getMapper(AdminAiModelConvert.class);

    AdminAiModelResp entityToResponse(AiModelEntity aiModelEntity);

    List<AdminAiModelResp> entityListToResponseList(List<AiModelEntity> aiModelEntityList);

    AiModelEntity reqToEntity(AdminAiModelReq aiModelRequest);
}